# Uses of Interface
org.opensaml.saml.metadata.generator.impl.TemplateMetadataGeneratorParameters

Packages that use TemplateMetadataGeneratorParameters
Package
Description
org.opensaml.saml.metadata.generator.impl
Implementation of Velocity-based metadata generation.

## Uses of TemplateMetadataGeneratorParameters in org.opensaml.saml.metadata.generator.impl

Methods in org.opensaml.saml.metadata.generator.impl with parameters of type TemplateMetadataGeneratorParameters
Modifier and Type
Method
Description
`protected org.apache.velocity.VelocityContext`
VelocityMetadataGenerator.`getVelocityContext(TemplateMetadataGeneratorParameters params)`
Builds the Velocity template context.